// 上报动态
import Utils from "../../../../utils/util"
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    topBarH: app.globalData.CustomBar,
    baseUrl: app.FILE_SERVER_URL,

    dateFilter: Utils.formatTime(new Date(), '-'),
    showTypePop: false,
    showAdvicePop: false,
    TypeData: [],
    postData: {},
    files: [],
    userInfo:{}
  },
/**
   * 查看人员详情
   */
  getEmerEventDetail: function (id) {
    app.axios("GET", "app", `/people/peopleDetail/${id}`).then(res => {
      if (res.code == 1) {
        console.log(res.data,'data===>');
        this.data.userInfo = res.data;
        this.setData(this.data);
        // this.data.postData.emerTypeName;
        // for (let index = 0; index < this.data.TypeData.length; index++) {
        //   if (this.data.TypeData[index].emerTypeName == res.data.emerTypeName) {
        //     this.data.postData.type = index+1;
        //   }
        // };
        // this.setData(this.data);
        // this.getFiles();
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if (options.peopleId) {
      this.getEmerEventDetail(options.peopleId)
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})